OI Payments Docs
API ReferencePayable Invoice

Get By Reference

GET
/api/v1/pay/{reference}

Path Parameters

reference*string

Response Body

*/*

curl -X GET "https://example.com/api/v1/pay/string"
{
  "data": {
    "invoiceNumber": "string",
    "status": "string",
    "currency": "string",
    "totalMinor": 0,
    "amountPaidMinor": 0,
    "amountDueMinor": 0,
    "amountDueDisplay": "string",
    "dueDate": "2019-08-24",
    "lineItems": [
      {
        "id": 0,
        "description": "string",
        "qty": 0,
        "unitAmountMinor": 0,
        "lineTotalMinor": 0
      }
    ],
    "branding": {
      "logoUrl": "string",
      "companyName": "string",
      "companyAddress": "string",
      "contactDetails": "string",
      "footerNote": "string",
      "accentColor": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    },
    "paymentStatus": "string",
    "checkoutUrl": "string"
  },
  "meta": {
    "success": true,
    "message": "string",
    "errorCode": "RESOURCE_NOT_FOUND",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "page": 0,
    "size": 0,
    "totalElements": 0,
    "totalPages": 0
  }
}